PIXCUT
1
BRL-CAD
BRL-CAD

# pixcut

extract a pix file from another pix file

      pixcut
        -v
        -h
        -H
        -a
        -C red/green/blue
        -s in_square_size
        -w in_width
        -n in_height
        -S out_square_size
        -W out_width
        -N out_height
        -x horizontal
        -y vertical
        infile

## DESCRIPTION

Pixcut will extract a color pix 5 format file from another pix 5 format file.

The `-w` and `-n` flags specify the input file width and number of scan lines in pixels. They can both be set to the same value via `-s.` Unspecified dimensions default to 512 pixels.

The `-W` and `-N` flags specify the output file width and number of scan lines in pixels. They can both be set to the same value via `-S.` Unspecified dimensions default to 512 pixels.

The `-h` and `-H` flags indicate that the input and/or output file is high resolution (1024x1024) respectfully.

The `-a` flag requests that the program attempt to autosize the input file. Autosizing only works with files, pipes can not be autosized.

The `-v` flag requests verbose mode. When verbose mode is selected the program will display information on default background output if any background is generated.

The `-x` and `-y` flags set the horizontal and vertical offsets from the lower left corner to use for extracting the image. By default both are set to 0 (zero).

The `-C` flag is used to set the background color of the output file. If the output file is larger than the input file or if the corners of the output file do not reside within the bounds of the input file, the program will output pixels of background color for those locations.

First quadrant coordinates and file storage formats are used.

## EXAMPLES

The command

    pixcut -S256 file1.pix > file2.pix

will extract the lower left quadrant of "file1.pix" and place it in file2.pix.

The command

    pixcut -S256 -x128 -y128 file1.pix >file2.pix

will extract the center of the 512x512 input file (file1.pix) and place it in file2.pix.

The command

    pixcut -x -1 file1.pix >file2.pix

will shift file1.pix one pixel to the right. If a raytrace was done with default parameters, the background (rays which do not intersect the model) are set to 0/0/1. Since `pixcut` will fill with 0/0/1 the net result is that the model image is shifted.

The command

    pixcut -h -x128 -y256 background.pix |
    pixmatte -w512 -e image.pix =0/0/1 - image.pix |
    pixpaste -h -x128 -y256 background.pix - >new.pix

will extract the center 512x512 section of the 1024x1024 background image composite that section with a foreground image and the place the new composite image into the center of the background image.

The pixmatte command options instruct the program that for every pixel in image.pix which is equal (-e) to 0/0/1 to output the corresponding pixel from standard input and for all others, output the corresponding pixel from image.pix

## SEE ALSO

brlcad 1, pixpaste 1, bwrect 1, pix 5, bw 5

## AUTHOR

Christopher T. Johnson (Paladin Software, P.O. Box 187, Aberdeen, MD 21001-0187)

## COPYRIGHT

This software is Copyright (c) 1992-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.